/*------------------------------------*\
    #OBJECTS.TEXTBLOCK
\*------------------------------------*/
/**
 * Text block object. It basically is the media object. Just without media. ;)
 */
@import '../1-utils/utils.loader';
@import '../0-settings/settings.objects';

/**
 * Textblock with some inner padding.
 */

.#{$inuit-namespace}textblock,
%#{$inuit-namespace}textblock {
    padding-bottom: 25px;

    p:first-child {
        margin-top: -5px;
        padding-top: 0;
    }
}

.#{$inuit-namespace}textblock--padded,
%#{$inuit-namespace}textblock--padded {
    padding: 0 drk-halve($drk-base-unit);
}
